
//
//  PQUploadModel.swift
//  PQSpeed
//
//  Created by SanW on 2020/8/1.
//  Copyright © 2020 BytesFlow. All rights reserved.
//

import Photos
import UIKit
import BFCommonKit
import BFUIKit

open class PQUploadModel: BFBaseModel {
   public var image: UIImage? // 图片
   public var localPath: String? // 地址
   public var duration: TimeInterval = 0 // 时间
   public var asset: PHAsset? // 视频资源
   public var videoBucketKey: String? // 上传视频功能
   public var imageBucketKey: String? // 上传图片地址
   public var assetCollection: PHAssetCollection? // 相簿
   public var categoryList: PHFetchResult<PHAsset> = PHFetchResult<PHAsset>.init() // 子相册集合
   public var assetList: [PHAsset] = Array<PHAsset>.init() // 子相册集合
   public var uploadID: String? // 上传ID
   public var videoWidth: CGFloat = 0 // 视频宽
   public var videoHeight: CGFloat = 0 // 视频高
   public var contentMode: UIView.ContentMode = .scaleAspectFill
   public var stsToken: [String: Any]? // 上传信息

    // add by ak 上传来源类型
   public var videoFromScene: videoFromScene = .UploadNormal
}
